Skip to content
master
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
api
 
 
 
 
 
 
 
 
 
 

Jigswap

A community where you can swap jigsaw puzzles with other enthusiasts

Getting started | Installation

This app requires Ruby 2.3.1, Rails 5.1.5.

Once you have Ruby 2.3.1 and Rails 5.1.5 installed,

  • fork https://github.com/marielfrank/jigswap.git & clone locally
  • cd jigswap/api
  • bundle install
  • rake db:migrate
  • rails s -p 3001
  • cd ../client
  • npm start

Open localhost:3000 in your browser and enjoy!

Road Map

A few things that are in the works:

  • Add tags and filter puzzles by tag
  • Add image upload for users to see what each puzzle looks like
  • Allow users to transfer puzzles to one another

Contributer's Guide

Please review the contributors guide if you would like to contribute to this project.

License

MIT License

About

A community where you can swap jigsaw puzzles with other enthusiasts

Resources

License

Releases

No releases published

Packages

No packages published